org.apache.lucene.spatial.prefix

## Class AbstractPrefixTreeQuery.BaseTermsEnumTraverser

- java.lang.Object
- - org.apache.lucene.spatial.prefix.AbstractPrefixTreeQuery.BaseTermsEnumTraverser

- Direct Known Subclasses:
    AbstractVisitingPrefixTreeQuery.VisitorTemplate
  Enclosing class:
    AbstractPrefixTreeQuery

      public abstract class AbstractPrefixTreeQuery.BaseTermsEnumTraverser
      extends Object

  Holds transient state and docid collecting utility methods as part of traversing a `TermsEnum` for a `LeafReaderContext`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LeafReaderContext` | `context`
    `protected int` | `maxDoc`
    `protected PostingsEnum` | `postingsEnum`
    `protected Terms` | `terms`
    `protected TermsEnum` | `termsEnum`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseTermsEnumTraverser(LeafReaderContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `collectDocs(BitSet bitSet)`
    `protected void` | `collectDocs(DocIdSetBuilder docSetBuilder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          protected final LeafReaderContext context

    - #### maxDoc

          protected final int maxDoc

    - #### terms

          protected final Terms terms

    - #### termsEnum

          protected final TermsEnum termsEnum

    - #### postingsEnum

          protected PostingsEnum postingsEnum

  - ### Constructor Detail

    - #### BaseTermsEnumTraverser

          public BaseTermsEnumTraverser(LeafReaderContext context)
                                 throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### collectDocs

          protected void collectDocs(BitSet bitSet)
                              throws IOException

      Throws:
        `IOException`

    - #### collectDocs

          protected void collectDocs(DocIdSetBuilder docSetBuilder)
                              throws IOException

      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.